<script src="/view/javascript/highcharts.js"></script>

<script>
$(function () {

    Highcharts.SparkLine = function (a, b, c) {
        var hasRenderToArg = typeof a === 'string' || a.nodeName,
            options = arguments[hasRenderToArg ? 1 : 0],
            defaultOptions = {
                chart: {
                    renderTo: (options.chart && options.chart.renderTo) || this,
                    backgroundColor: null,
                    borderWidth: 0,
                    radius: 15,
                    type: 'areaspline',
                    margin: [10, 0, 0, 0],
                    marginLeft: -2,
                    width: 241,
                    height: 70,
                    style: {
                        overflow: 'visible'
                    },
                    backgroundColor: false,
                    plotBackgroundColor: false,
                    animation: true,
                    skipClone: true
                },
                title: {
                    text: ''
                },
                credits: {
                    enabled: false
                },
                xAxis: {
                    labels: {
                        enabled: false
                    },
                    title: {
                        text: null
                    },
                    startOnTick: false,
                    endOnTick: false,
                    tickPositions: []
                },
                yAxis: {
                    endOnTick: false,
                    startOnTick: false,
                    labels: {
                        enabled: false
                    },
                    title: {
                        text: null
                    },
                    tickPositions: [0]
                },
                legend: {
                    enabled: false
                },
                // tooltip: {
                //     backgroundColor: null,
                //     borderWidth: 0,
                //     shadow: false,
                //     useHTML: true,
                //     hideDelay: 0,
                //     shared: true,
                //     padding: 0,
                //     positioner: function (w, h, point) {
                //         return { x: point.plotX - w / 2, y: point.plotY - h };
                //     }
                // },
                tooltip: {
                    valueSuffix: '%',
                    // crosshairs: true,
                    shared: true,
                    backgroundColor: '#5C6166',
                    borderRadius: 5,
                    hideDelay: 0,
                    borderWidth: 0,
                    useHTML: true,
                    crosshairs: true,
                    style: {
                        padding: 15,
                        lineHeight: 1.6,
                        color: '#efefef'
                    },
                    formatter: function () {
                        calendar = $('#calendar-statisitc').ui('get');
                        range = calendar.state.range;
                        dates = [];
                        
                        $.each(range, function(i, v) {
                            dates.push(new Date(v.getTime()));
                        });

                        if(range.length == 1) {
                            dates[1] = dates[0];
                        }

                        dates[1].setSeconds(dates[1].getSeconds()  + 86400 - 1);
                        days = (dates[1] - dates[0]) / 86400 / 1000;

                        if(days <= 2) {
                            step = 3600;
                        } else if(days <= 45) {
                            step = 86400;
                        } else {
                            step = 86400 * 30;
                        }

                        x = this.x - 1;
                        currentDate = new Date(dates[0].getTime());
                        currentDate.setSeconds(dates[1].getSeconds() + x * step);

                        e = this.points[0].series.chart.renderTo;
                        name = $(e).data('name');
                        date = currentDate.getDate() + '-' + (currentDate.getMonth()+1) + '-' + currentDate.getFullYear();
                        
                        return '<b>' + date + '</b> <br> ' + name + ': ' + this.y;
                    },
                    positioner: function (w, h, point) {
                        return { x: 20 , y: -60 };
                    }
                },
                plotOptions: {
                    series: {
                        animation: false,
                        lineWidth: 1,
                        shadow: false,
                        states: {
                            hover: {
                                lineWidth: 1
                            }
                        },
                        marker: {
                            radius: 1,
                            states: {
                                hover: {
                                    radius: 2
                                }
                            }
                        },
                        fillOpacity: 0.25
                    },
                    column: {
                        negativeColor: '#910000',
                        borderColor: 'silver'
                    }
                }
            };

        options = Highcharts.merge(defaultOptions, options);

        return hasRenderToArg ?
            new Highcharts.Chart(a, options, c) :
            new Highcharts.Chart(options, b);
    };

    Highcharts.setOptions({
        colors: ['#D95C5C', '#5BBD72', '#564F8A', '#009cff', '#E96633'],
        lang: {
            months: ['Январь', 'Февраль', 'Март', 'Апрель', 'Май', 'Июнь',  'Июль', 'Август', 'Сентябрь', 'Октябрь', 'Ноябрь', 'Декабрь'],
            shortMonths: ['Янв.', 'Фев.', 'Мар.', 'Апр.', 'Май', 'Июнь',  'Июль', 'Авг.', 'Снт.', 'Окт.', 'Ноя.', 'Дек.'],
            weekdays: ['Понедельник', 'Вторник', 'Среда', 'Четверг', 'Пятница', 'Суббота', 'Воскресенье']
        }
    });

    window.visitChart = new Highcharts.Chart({
        chart: {
            renderTo : 'container',
            type: 'areaspline',
            backgroundColor: false,
            plotBackgroundColor: false,
            animation: true,
            height: 350,
        },
        title: {
            text: ''
        },
        credits: {
            enabled: false
        },
        xAxis: {
            type: 'datetime',
            lineWidth: 0,
            offset: 10,
            labels: {
                overflow: 'justify'
            },
            tickColor: '#ccc',
            tickPosition: 'inside',
            showFirstLabel: false,
            showLastLabel: false,
            // endOnTick: false
        },
        yAxis: {
            title: false,
            min: 0,
            // max: 100,
            tickAmount: 10,
            minorGridLineWidth: 0,
            gridLineWidth: 0,
            alternateGridColor: null,
            labels: {
                enabled: false
            },
            showFirstLabel: false,
            startOnTick: false,
            showLastLabel: false,
            endOnTick: false,
            gridLineWidth: 1,
            gridLineColor: '#efefef',

        },
        tooltip: {
            crosshairs: true,
            shared: true,
            backgroundColor: '#5C6166',
            borderRadius: 5,
            borderWidth: 0,
            style: {
                padding: 15,
                lineHeight: 20,
                color: '#efefef'
            }
        },
        plotOptions: {
            spline: {
                lineWidth: 4,
                marker: {
                    enabled: false
                },
                // pointInterval: 86400000, // one hour
                // pointStart: Date.UTC(2015, 2, 1, 0, 0, 0)
            },
        },
        series: [{
            name: 'Посещения',
            data: [3, 4, 3, 5, 4, 10, 12]
        },
        {
            name: 'Посетители',
            data: [3, 4, 3, 5, 4, 10, 12]
        },
        {
            name: 'Заказы',
            data: [3, 4, 3, 5, 4, 10, 12]
        },
        {
            name: 'Звонки',
            data: [3, 4, 3, 5, 4, 10, 12]
        },
        {
            name: 'Подписчики',
            data: [3, 4, 3, 5, 4, 10, 12]
        }
        ],
        navigation: {
            menuItemStyle: {
                fontSize: '10px'
            }
        },
    });
    
    // $('#container').highcharts(chart);


    window.ctrChart = new Highcharts.Chart({
        chart: {
            renderTo : 'container2',
            type: 'spline',
            backgroundColor: false,
            plotBackgroundColor: false,
            animation: true,
            height: 350,
        },
        title: {
            text: ''
        },
        credits: {
            enabled: false
        },
        xAxis: {
            type: 'datetime',
            lineWidth: 0,
            offset: 10,
            labels: {
                overflow: 'justify'
            },
            tickColor: '#ccc',
            tickPosition: 'inside',
            showFirstLabel: false,
            startOnTick: false,
            showLastLabel: false,
            endOnTick: false
            // min: 2015
            // showFirstLabel: false
        },
        yAxis: {
            // offset: 10,
            title: false,
            min: 0,
            max: 100,
            tickAmount: 10,
            minorGridLineWidth: 0,
            gridLineWidth: 0,
            alternateGridColor: null,
            labels: {
                enabled: false
            },
            
            // showFirstLabel: false,
            // startOnTick: false,
            // showLastLabel: false,
            // endOnTick: false,
            gridLineWidth: 1,
            gridLineColor: '#efefef',

        },
        tooltip: {
            valueSuffix: '%',
            crosshairs: true,
            shared: true,
            backgroundColor: '#5C6166',
            borderRadius: 5,
            borderWidth: 0,
            style: {
                padding: 15,
                lineHeight: 20,
                color: '#efefef'
            }
        },
        plotOptions: {
            spline: {
                lineWidth: 4,
                marker: {
                    enabled: false
                },
                // pointInterval: 86350000, // one hour
                // pointStart: Date.UTC(2015, 2, 1, 0, 0, 0)
            },
        },
       series: [{
            name: 'Все заказы',
            data: [5.0, 3.0, 4.0, 7.0, 2.0]
        }, {
            name: 'Оплаченные заказы',
            data: [2.0, 2.0, 0, 2.0, 5.0]
        }],
        navigation: {
            menuItemStyle: {
                fontSize: '10px'
            }
        }
    });
});
</script>


<div id="header">
    <div class="grid">
        <div class="row">
            <div class="column wide centered">
                <h4 class="header centered" style="padding: 25px 0 10px;">
                    Статистика и Аналитика<br>
                    <div class="sub header">Помогает улучшать продажи и узнавать откуда заказы</div>
                </h4>

                <div class="dropdown dropdown-button inline" data-change="true" data-callback='["handleListClick", "statistic.changeSite"]'>
                    <div class="button left big icon append empty">
                        <span><?=$data['currentSite'];?></span>
                        <i class="fa fa-caret-down"></i>
                    </div>
                    <div class="list">
                        <ul class="dropdown-list">
                            <?=$data['sites'];?>
                        </ul>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>

<div class="clear"></div>

<div class="grid" style="padding-top: 40px;">
    <div class="row centered">
        <div class="column sixteen inline">
            
            <div class="buttons left ActiveMenu rounded" data-callback="statistic.dateChange" data-init-callback="true" data-calendar="calendar-statisitc" style="margin-right: 20px;">
                <div data-type="day" class="button darkgrey">День</div>
                <div data-type="week" class="button darkgrey active">Неделя</div>
                <div data-type="month" class="button darkgrey">Месяц</div>
                <div data-type="3months" class="button darkgrey">Квартал</div>
                <!-- <div data-type="year" class="button darkgrey">Год</div> -->
            </div>
            
            <div class="dropdown dropdown-button left" data-change="true" style="">
                <div class="button left darkgrey icon prepend">
                    <i class="fa fa-calendar-o"></i>
                    <span>16 января 2015 – 7 февраля 2015</span>
                </div>
                <div class="list">
                    <div id="calendar-statisitc" class="Calendar calendar" data-callback="statistic.update">
                        <div class="button darkgrey left icon"><i class="fa fa-chevron-left"></i></div>
                        <div class="group"></div>
                        <div class="button darkgrey right icon"><i class="fa fa-chevron-right"></i></div>
                    </div>
                </div>
            </div>

        </div>
        <div class="column eight inline" style="text-align: right;">

            <div id="goals-dropdown" class="dropdown dropdown-button inline" data-change="true" data-callback='["handleListClick", "statistic.update"]'>
                <div class="button left darkgrey icon append ">
                    <span>Все цели</span>
                    <i class="fa fa-caret-down"></i>
                </div>
                <div class="list">
                    <ul id="goals-list" class="dropdown-list centered">
                        <li data-type=''>Все цели</li>
                        <?=$data['goals'];?>
                    </ul>
                </div>
            </div>

            <!-- <div id="utms-dropdown" class="dropdown dropdown-button inline" style="margin-left: 15px;" data-change="true"  data-callback='["handleListClick", "statistic.update"]'>
                <div class="button left darkgrey icon append ">
                    <span>Все каналы</span>
                    <i class="fa fa-caret-down"></i>
                </div>
                <div class="list">
                    <ul class="dropdown-list">
                        <li data-type="0">Все цели</li>
                    </ul>
                </div>
            </div> -->

            <div class="clear"></div>
        </div>
    </div>
</div>

<div class="grid" style="padding: 40px 0;">
    <div class="row centered" style="width: 1100px;">
        <div class="column wide inline">
            
            <div class="universal-block mini-statistic-rates griddy four" style="overflow: hidden;" data-type="visits">
                <div class="name">Посетители</div>
                <div class="stats padding-bottom">
                    <div class="block statistic-today-block">
                        <h6 class="header digit statistic-today">1000</h6>
                        <div class="text">За сегодня</div>
                    </div>
                    <div class="block">
                        <h6 class="header digit statistic-period">1000</h6>
                        <div class="text">За период</div>
                    </div>
                    <div class="block">
                        <h6 class="header digit statistic-average">1000</h6>
                        <div class="text">Среднее</div>
                    </div>
                </div>
                <div class="graphic statistic-sparkline-graphic" data-name="Заходы" data-value="[71, 78, 39, 66]">Заходы</div>
            </div>

            <div class="universal-block mini-statistic-rates griddy four" style="overflow: hidden;" data-type="leads">
                <div class="name">
                    Лиды
                    <div class="data">
                        <div class="inline statistic-ctr"></div>%
                        <span>CTR</span>
                    </div>
                </div>
                <div class="stats padding-bottom">
                    <div class="block statistic-today-block">
                        <h6 class="header digit statistic-today">1000</h6>
                        <div class="text">За сегодня</div>
                    </div>
                    <div class="block">
                        <h6 class="header digit statistic-period">1000</h6>
                        <div class="text">За период</div>
                    </div>
                    <div class="block">
                        <h6 class="header digit statistic-average">1000</h6>
                        <div class="text">Среднее</div>
                    </div>
                </div>
                <div class="graphic statistic-sparkline-graphic" data-name="Лиды" data-value="[30, 78, 39, 66, 20, 100]">Заходы</div>
            </div>

            <div class="universal-block mini-statistic-rates griddy four" style="overflow: hidden;" data-type="orders">
                <div class="name">
                    Продажи
                    <div class="data">
                        <div class="inline statistic-ctr"></div>%
                        <span>CTR</span>
                    </div>
                </div>
                <div class="stats padding-bottom">
                    <div class="block statistic-today-block">
                        <h6 class="header digit statistic-today">1000</h6>
                        <div class="text">За сегодня</div>
                    </div>
                    <div class="block">
                        <h6 class="header digit statistic-period">1000</h6>
                        <div class="text">За период</div>
                    </div>
                    <div class="block">
                        <h6 class="header digit statistic-average">1000</h6>
                        <div class="text">Среднее</div>
                    </div>
                </div>
                <div class="graphic statistic-sparkline-graphic" data-name="Продажи" data-value="[30, 78, 39, 66, 20, 100]">Заходы</div>
            </div>

            <div class="universal-block mini-statistic-rates griddy four" style="overflow: hidden;" data-type="payments">
                <div class="name">
                    Заработанно
                </div>
                <div class="stats padding-bottom">
                    <div class="block">
                        <h6 class="header digit statistic-today">1000</h6>
                        <div class="text">За сегодня</div>
                    </div>
                    <div class="block">
                        <h6 class="header digit statistic-period">1000</h6>
                        <div class="text">За период</div>
                    </div>
                    <div class="block">
                        <h6 class="header digit statistic-average">1000</h6>
                        <div class="text">Среднее</div>
                    </div>
                </div>
                <div class="graphic statistic-sparkline-graphic" data-name="Заработанно" data-value="[30, 78, 39, 66, 20, 100]">Заходы</div>
            </div>
            

            <div class="clear"></div>
        </div>
    </div>
</div>


<div class="grid" style="padding-top: 0;" >
    <div class="row centered">
        <div class="column fourteen inline">
            <h5 class="header margin">
                Посетители и заказы
                <div class="sub header">Количество посетителей, заказов и звонков</div>
            </h5>
            <div id="container"></div>
        </div>
        <div class="column ten inline">
            <h5 class="header margin">
                Конверсия
                <div class="sub header">Процент посетителей, достигших цели</div>
            </h5>
            <div id="container2"></div>
        </div>
    </div>
</div>

<!-- <div class="grid" style="padding-top: 50px;">
    <div class="row centered">
        <div class="column wide inline">
            <h5 class="header">
                Конверсия
                <div class="sub header">Процент посетителей, достигших цели</div>
            </h5>
        </div>
    </div>
</div>
<div class="grid" style="padding-top: 0;" id="container23"></div> -->

<div class="grid" style="padding-top: 50px;">

    <div class="row centered">
        <div class="column fourteen inline">
            <div class="segment"  style="width: 100%;">
                <div class="stats">
                    <div class="stat horizontal">
                        <div class="num"><i class="fa fa-mobile fa-2x"></i></div>
                        <div class="text">
                            <h4 class="header" id="device-mobile">30%</h4>
                        </div>
                    </div>
                    <div class="stat horizontal">
                        <div class="num"><i class="fa fa-tablet fa-2x"></i></div>
                        <div class="text">
                            <h4 class="header" id="device-tablet">10%</h4>
                        </div>
                    </div>
                    <div class="stat horizontal">
                        <div class="num"><i class="fa fa-desktop fa-2x"></i></div>
                        <div class="text">
                            <h4 class="header" id="device-desktop">60%</h4>
                        </div>
                    </div>
                </div>
            </div>

            <div class="clear"></div>
        </div>
    </div>
    
    <!-- <div class="row centered" style="padding-top: 50px;">
        <div class="column wide inline">
            <h5 class="header">
                Воронка продаж
                <div class="sub header">Увеличивайте конверсию на каждом шаге, чтобы увеличить прибыль</div>
            </h5>
        </div>
    </div>

    <div class="row centered" style="padding-top: 20px;">

        <div class="column four inline">
            <div class="padding-5">
                <div class="segment basic grey ctr-block">
                    <h3 class="header">
                        <span id="visits-all">1</span>
                        <div class="sub header">Посетители</div>
                    </h3>
                </div>
            </div>
        </div>

        <div class="column two inline">
            <div class="ctr-arrow-block">
                <h6 class="header" id="ctr-visits-to-all">50,24%</h6>
                <i class="fa fa-chevron-right"></i>
            </div>
        </div>

        <div class="column four inline">
            <div class="padding-5">
            <div class="segment basic grey ctr-block">
                <h3 class="header">
                    <span id="ctr-all">1</span>
                    <div class="sub header">Заказы</div>
                </h3>
            </div>
        </div>
        </div>

        <div class="column two inline">
            <div class="ctr-arrow-block">
                <h6 class="header" id="ctr-all-to-end">90,24%</h6>
                <i class="fa fa-chevron-right"></i>
            </div>
        </div>

        <div class="column four inline">
            <div class="padding-5">
            <div class="segment basic grey ctr-block">
                <h3 class="header">
                    <span id="ctr-end">1</span>
                    <div class="sub header">Оплаты</div>
                </h3>
            </div>
        </div>
        </div>

        <div class="column four inline">
            <div class="padding-5">
            <div class="segment basic grey ctr-block">
                <h3 class="header">
                    <span id="ctr-to-buy">1</span>
                    <div class="sub header">Человек <br> На 1 покупку</div>
                </h3>
            </div>
        </div>
        </div>

    </div> -->


</div>

<div class="grid" style="padding-top: 50px;">
    <div class="row centered">
        <div class="column wide inline">
            <h5 class="header">
                Источники трафика и заказов по UTM-меткам
                <div class="sub header">Вкладывайте больше в источники трафика, которые приносят заказы</div>
            </h5>
        </div>
    </div>
</div>

<div class="grid" style="padding-top: 40px;">
    <div class="row centered">
        <div class="column wide inline" style="position: relative;">
            
            <div class="button darkgrey goal-change">
                <i class="fa fa-chevron-right"></i>
            </div>

            <table id="statistic-utm-table" class="table">
                <thead>
                    <tr>
                        <td style="width: 80%;">
                            <h6 class="header margin">
                                Источник трафика
                            </h6>
                        </td>
                        <td><h6 class="header margin">Посетители</h6></td>
                    </tr>
                </thead>
                <tbody>
                    <tr class="item">
                        <td class="name">
                            <div class="button icon empty inline" style="padding: 0; margin: 2px 10px 0 0;"> <i class="fa fa-plus"></i> </div>
                            <div class="input inline autosize" style="margin-right: 5px;">
                                <input id="check_1" type="checkbox">
                                <label for="check_1"></label>
                            </div>
                            <h6 class="header inline">
                                Вконтакте <div class="sub header">utm_source=vk</div>
                            </h6>
                        </td>
                        <td><h6 class="header">125</h6></td>
                    </tr>
                </tbody>
            </table>

            <div class="clear"></div>
        </div>
    </div>
</div>
